[arch-commits] Commit in nextcloud-app-notes/repos/community-testing-any (2 files)
Sergej Pupykin
spupykin at archlinux.org
Wed Jul 7 12:16:35 UTC 2021
Date: Wednesday, July 7, 2021 @ 12:16:34
Author: spupykin
Revision: 975162
archrelease: copy trunk to community-testing-any
Added:
nextcloud-app-notes/repos/community-testing-any/PKGBUILD
(from rev 975161, nextcloud-app-notes/trunk/PKGBUILD)
Deleted:
nextcloud-app-notes/repos/community-testing-any/PKGBUILD
----------+
PKGBUILD | 62 ++++++++++++++++++++++++++++++++++++++++---------------------
1 file changed, 41 insertions(+), 21 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2021-07-07 12:16:27 UTC (rev 975161)
+++ PKGBUILD 2021-07-07 12:16:34 UTC (rev 975162)
@@ -1,21 +0,0 @@
-# Maintainer: Sergej Pupykin <arch+pub at sergej.pp.ru>
-# Maintainer: David Runge <dave at sleepmap.de>
-# Contributor: David Runge <dave at sleepmap.de>
-
-pkgname=nextcloud-app-notes
-pkgver=4.1.0
-pkgrel=1
-pkgdesc="Simple Notes app for Nextcloud"
-arch=('any')
-url="https://github.com/nextcloud/notes"
-license=('AGPL3')
-depends=('nextcloud')
-makedepends=()
-options=('!strip')
-source=("${pkgname}-${pkgver}.tar.gz::https://github.com/nextcloud/notes/releases/download/v${pkgver}/notes.tar.gz")
-sha512sums=('89344d62d9ebb770053c1bdc689ad5e3eeb8fbd210c4790a0049b8d797d109ae71fe64abffa9200dba3596e473c334dba33a65fca9e7e8122c6134795218b480')
-
-package() {
- install -d "${pkgdir}/usr/share/webapps/nextcloud/apps"
- cp -R "${srcdir}/notes" "${pkgdir}/usr/share/webapps/nextcloud/apps/notes"
-}
Copied: nextcloud-app-notes/repos/community-testing-any/PKGBUILD (from rev 975161, nextcloud-app-notes/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2021-07-07 12:16:34 UTC (rev 975162)
@@ -0,0 +1,41 @@
+# Maintainer: Sergej Pupykin <arch+pub at sergej.pp.ru>
+# Maintainer: David Runge <dave at sleepmap.de>
+# Contributor: David Runge <dave at sleepmap.de>
+
+pkgname=nextcloud-app-notes
+_name=notes
+pkgver=4.1.0
+pkgrel=2
+pkgdesc="Simple Notes app for Nextcloud"
+arch=('any')
+url="https://github.com/nextcloud/notes"
+license=('AGPL3')
+depends=('nextcloud')
+makedepends=('ripgrep' 'yq')
+options=('!strip')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/nextcloud/notes/releases/download/v${pkgver}/notes.tar.gz")
+sha512sums=('89344d62d9ebb770053c1bdc689ad5e3eeb8fbd210c4790a0049b8d797d109ae71fe64abffa9200dba3596e473c334dba33a65fca9e7e8122c6134795218b480')
+
+_get_nextcloud_versions() {
+ _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+ _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+}
+
+check() {
+ local _app_min_major_version
+ local _app_max_major_version
+ _get_nextcloud_versions
+
+ local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+ if [[ "$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")" -lt 0 ]] || [[ "$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")" -gt 0 ]] ; then
+ printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+ exit 1
+ fi
+}
+
+package() {
+ _get_nextcloud_versions
+ depends=("nextcloud>=${_app_min_major_version}" "nextcloud<=${_app_max_major_version}")
+ install -d "${pkgdir}/usr/share/webapps/nextcloud/apps"
+ cp -R "${srcdir}/notes" "${pkgdir}/usr/share/webapps/nextcloud/apps/notes"
+}
More information about the arch-commits
mailing list